Targeting Keys
Manage targeting keys
Return the list of the targeting keys of the account
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
Index of the page
0Number of items per page
10Success
Returns the number of items in the current page
Returns the number of the current page
0Returns the number of total items
Returns the number of items per page
10Returns the index of the page
Not Found
GET /v1/accounts/{account_id}/targeting_keys HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
{
"current_item_count": 1,
"current_page": 0,
"total_count": 1,
"items_per_page": 10,
"last_page": 1,
"items": [
{
"id": "text",
"type": "string",
"name": "text",
"description": "text"
}
]
}Create one/multiple targeting key(s)
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
ID of the targeting_key
Type of the targeting_key
Name of the targeting key
Description of the targeting key
Created
ID of the targeting_key
Type of the targeting_key
Name of the targeting key
Description of the targeting key
Validation errors
POST /v1/accounts/{account_id}/targeting_keys HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 124
{
"targeting_keys": [
{
"type": "string",
"name": "text",
"description": "text"
}
],
"type": "string",
"name": "text",
"description": "text"
}{
"id": "text",
"type": "string",
"name": "text",
"description": "text"
}Return one targeting key by its id
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the targeting_key
Success
ID of the targeting_key
Type of the targeting_key
Name of the targeting key
Description of the targeting key
Not Found
GET /v1/accounts/{account_id}/targeting_keys/{targeting_key_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "text",
"type": "string",
"name": "text",
"description": "text"
}Delete a targeting key by its id.
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the targeting_key
Deleted
No content
Not Found
DELETE /v1/accounts/{account_id}/targeting_keys/{targeting_key_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
No content
Update targeting key informations - You can set only the properies you want to update in the request body.
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the targeting_key
ID of the targeting_key
Type of the targeting_key
Name of the targeting key
Description of the targeting key
Updated
ID of the targeting_key
Type of the targeting_key
Name of the targeting key
Description of the targeting key
Validation errors
PATCH /v1/accounts/{account_id}/targeting_keys/{targeting_key_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"type": "string",
"name": "text",
"description": "text"
}{
"id": "text",
"type": "string",
"name": "text",
"description": "text"
}Last updated
Was this helpful?

